About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Certificates
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
      • Get Employee Skills by employeeId
      • Employee Enrollment
      • Get Employee Certificates
      • Update Employee Status
      • Get Employee Assessment Report
      • Upload Certificate for Employee
      • Upload Resume for Employee
      • List Employees with Skills Profile
      • Assign Learning to Employee
      • Get Employee Skill Gap
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
        POST
      • Get all Certificates
        GET
  1. Certificates

Create certificate with skills

Developing
POST
/certificates/create

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.skillsintelligence.imocha.io/certificates/create' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data '{
  "title": "Azure Certification 900",
  "certificateIssuer": "Microsoft",
  "skills": [
    {
      "taxonomySkillId": 61452
    },
     {
      "taxonomySkillId": 42021
    }
  ]
}'
Response Response Example
{
    "title": "Azure AI Fundamentals (AI-900)",
    "certificateIssuer": "Microsoft",
    "skills": [
        {
            "taxonomySkillId": 61450
        },
        {
            "taxonomySkillId": 61451
        }
    ]
}
Modified at 2026-08-21 10:07:19
Previous
Get all Learning Resources
Next
Get all Certificates
Built with